CS::Animation::iSkeletonAnimPacketFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonAnimPacketFactory Struct Reference
Mesh plugins

Defines a factory for a skeletal animation packet (iSkeletonAnimPacket). More...

`#include <imesh/animnode/skeleton2anim.h>`

Inheritance diagram for CS::Animation::iSkeletonAnimPacketFactory:

List of all members.

## Public Member Functions
virtual void | ClearAnimations ()=0
| Remove all animation factories.
virtual iSkeletonAnimation * | CreateAnimation (const char *name)=0
| Create a new animation factory.
virtual csPtr < iSkeletonAnimationNodeFactory > | CreateAnimationNode (const char *name)=0
| Create an animation node.
virtual csPtr < iSkeletonBlendNodeFactory > | CreateBlendNode (const char *name)=0
| Create a blend node.
virtual csPtr < iSkeletonFSMNodeFactory > | CreateFSMNode (const char *name)=0
| Create a FSM node.
virtual csPtr < iSkeletonAnimPacket > | CreateInstance (iSkeleton *skeleton)=0
| Create an instance of this animation packet.
virtual csPtr < iSkeletonPriorityNodeFactory > | CreatePriorityNode (const char *name)=0
| Create a priority node.
virtual csPtr < iSkeletonRandomNodeFactory > | CreateRandomNode (const char *name)=0
| Create a random switching node.
virtual iSkeletonAnimation * | FindAnimation (const char *name)=0
| Find an already created animation factory.
virtual size_t | FindAnimationIndex (const char *name)=0
| Find an already created animation factory and returns it's index.
virtual iSkeletonAnimation * | GetAnimation (size_t index)=0
| Get animation factory by index.
virtual size_t | GetAnimationCount () const =0
| Get the number of animation factories.
virtual iSkeletonAnimNodeFactory * | GetAnimationRoot () const =0
| Get the root node for the animation mixing hierarchy.
virtual const char * | GetName () const =0
| Get the name of this animation packet factory.
virtual void | RemoveAnimation (const char *name)=0
| Remove the animation of the given name.
virtual void | RemoveAnimation (size_t index)=0
| Remove the animation of the given index.
virtual void | SetAnimationRoot (iSkeletonAnimNodeFactory *root)=0
| Set the root node for the animation mixing hierarchy.

## Detailed Description

Defines a factory for a skeletal animation packet (iSkeletonAnimPacket).

A packet consists of a number of animations and a hierarchical structure of nodes that defines how those animations are mixed.

Main creators of instances implementing this interface:

- CS::Animation::iSkeletonManager::CreateAnimPacketFactory()

Main ways to get pointers to this interface:

- CS::Animation::iSkeletonManager::FindAnimPacketFactory()
- CS::Animation::iSkeletonFactory::GetAnimationPacket()
- CS::Animation::iSkeletonAnimPacket::GetFactory()

Main users of this interface:

- CS::Animation::iSkeletonFactory

Definition at line 117 of file skeleton2anim.h.

The documentation for this struct was generated from the following file:

- imesh/animnode/skeleton2anim.h